%define name libflashsupport

# This file has not been released so use a zero version
%define version 0
# As it's not been released just use the SVN revision as the release
%define release %mkrel 20070927.2

Summary: Optional Library Interfaces for Adobe Flash Player
Name:    %{name}
Version: %{version}
Release: %{release}
License: Adobe Source Code Licence
Group:   Networking/WWW
Source:  libflashsupport.tar.bz2
Patch0:  fix-deadlock-pabug-225.patch
URL:     http://git.0pointer.de/?p=libflashsupport.git;a=tree
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libopenssl-devel
BuildRequires: esound-devel
BuildRequires: libpulseaudio-devel >= 0.9.7
ExclusiveArch: i586
Requires: pulseaudio >= 0.9.7


%description
Optional Library Interfaces for Adobe Flash Player
- pulseaudio
- OpenSSL

If more interfaces are desired, please suggest patches in Mandriva Bugzilla.

Note that this is Lennart Pottering's revised version of jmdault's original
version. The big differences are that this version uses a more correct way to
detect whether PA is available and that it uses the "complicated" PA API
which makes the threading a lot cleaner and less redundant.

%prep
%setup -q -n %{name}
%patch0 -p0 -b .deadlock225

%build
NOCONFIGURE=1 ./bootstrap.sh
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%files 
%defattr(-,root,root)
%{_libdir}/libflashsupport.*

%clean
rm -rf %{buildroot}


%changelog
* Thu Jan 24 2008 Colin Guthrie <cguthrie@mandriva.org> 0-20070927.2mdv2008.1
+ Revision: 157469
- Fix deadlock when closing some flash windows (pa#225)
- Require pulseaudio >= 0.9.7 for both building and runtime.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 31 2007 Colin Guthrie <cguthrie@mandriva.org> 0-20070927.1mdv2008.1
+ Revision: 104242
- Update to Lennart Pottering's version of libflashsupport.

* Fri May 25 2007 Colin Guthrie <cguthrie@mandriva.org> 0-2297.2mdv2008.0
+ Revision: 31082
- Clean up the package description - refer to README instead.

* Tue Apr 24 2007 Colin Guthrie <cguthrie@mandriva.org> 0-2297.1mdv2008.0
+ Revision: 17761
- Import libflashsupport

